# Maintainer: Librewish <librewish@crocolinux.org>
# Maintainer: dr460nf1r3 <dr460nf1r3 at crocolinux dot org>

pkgname=croco-hooks
pkgdesc="Additions and enhancements for Croco-OS"
pkgver=2.2.3
pkgrel=1
arch=('any')
license=('GPL')
depends=('pacman' 'pacman-contrib' 'chaotic-mirrorlist' 'nss-mdns' 'rebuild-detector' 'kernel-modules-hook' 'grub')
conflicts=('pacman-pkgfile-hook')
backup=('etc/pacman.d/hooks/90-mkinitcpio-install.hook' 'etc/systemd/system/grub-btrfs.path')
install=$pkgname.install
source=(enable-os-prober
        foreign.hook
        croco-hooks-runner
        croco-hooks-runner.hook
        issue.hook
        just-reboot.hook
        lsb-release.hook
        grub-update.hook
        nsswitch.hook
        orphans.hook
        os-prober.hook
        os-release.hook
        pacnew-check.hook
        pkgfile.hook
        90-mkinitcpio-install.hook
        zzz_pacman-sync.hook)
md5sums=('SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP'
         'SKIP')

package() {
  cd $srcdir

  install -d $pkgdir/usr/share/libalpm/hooks
  install -Dm644 foreign.hook $pkgdir/usr/share/libalpm/hooks/foreign.hook
  install -Dm644 croco-hooks-runner.hook $pkgdir/usr/share/libalpm/hooks/croco-hooks-runner.hook
  install -Dm644 issue.hook $pkgdir/usr/share/libalpm/hooks/issue.hook
  install -Dm644 just-reboot.hook $pkgdir/usr/share/libalpm/hooks/just-reboot.hook
  install -Dm644 lsb-release.hook $pkgdir/usr/share/libalpm/hooks/lsb-release.hook
  install -Dm644 grub-update.hook $pkgdir/usr/share/libalpm/hooks/99-grub-update.hook
  install -Dm644 nsswitch.hook $pkgdir/usr/share/libalpm/hooks/nsswitch.hook
  install -Dm644 orphans.hook $pkgdir/usr/share/libalpm/hooks/orphans.hook
  install -Dm644 os-prober.hook $pkgdir/usr/share/libalpm/hooks/20-os-prober.hook
  install -Dm644 os-release.hook $pkgdir/usr/share/libalpm/hooks/os-release.hook
  install -Dm644 pacnew-check.hook $pkgdir/usr/share/libalpm/hooks/pacnew-check.hook
  install -Dm644 pkgfile.hook $pkgdir/usr/share/libalpm/hooks/pkgfile.hook
  install -Dm644 zzz_pacman-sync.hook $pkgdir/usr/share/libalpm/hooks/zzz_pacman-sync.hook
  
  install -d $pkgdir/etc/pacman.d/hooks
  install -Dm644 90-mkinitcpio-install.hook $pkgdir/etc/pacman.d/hooks/90-mkinitcpio-install.hook

  install -d $pkgdir/usr/bin
  install -Dm755 enable-os-prober $pkgdir/usr/bin/enable-os-prober
  
  install -d $pkgdir/usr/share/libalpm/scripts
  install -Dm755 croco-hooks-runner $pkgdir/usr/share/libalpm/scripts/croco-hooks-runner
}
